Functions
Deletes the specified function.
Path parameters
idintegerRequired
Function ID
Responses
204
No content
No content
401
Unauthorized
application/json
403
Forbidden
application/json
500
Internal Server Error
application/json
delete/api/functions/{id}
DELETE /api/functions/{id} HTTP/1.1
Accept: */*
No content
Retrieves all available functions the user can query.
Responses
200
Functions response
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
500
Internal Server Error
application/json
get/api/functions
GET /api/functions HTTP/1.1
Accept: */*
{
"data": [
{
"args": [
{
"name": "arg1",
"type": "string"
}
],
"group": "group1",
"id": 1,
"name": "example_function",
"return_type": "string",
"scope": "public"
}
]
}Creates a new function resource.
Body
groupstring · nullableOptional
Group name
namestringRequired
Function name
return_typestring · nullableOptional
Return type
scopestring · nullableOptional
Scope
Responses
200
Function response
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
422
Unprocessable Entity
application/json
500
Internal Server Error
application/json
post/api/functions
POST /api/functions HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 87
{
"args": [
{
"name": "arg1",
"type": "string"
}
],
"name": "new_function",
"return_type": "string"
}{
"data": {
"args": [
{
"name": "arg1",
"type": "string"
}
],
"id": 1,
"name": "new_function"
}
}Replaces all functions with the provided function definitions.
Body
Responses
200
Functions response
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
422
Unprocessable Entity
application/json
500
Internal Server Error
application/json
put/api/functions
PUT /api/functions HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 100
{
"functions": [
{
"args": [
{
"name": "arg1",
"type": "string"
}
],
"name": "function1",
"return_type": "string"
}
]
}{
"data": [
{
"args": [
{
"name": "arg1",
"type": "string"
}
],
"id": 1,
"name": "function1"
}
]
}Replaces all functions with the provided function definitions.
Body
Responses
200
Functions response
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
422
Unprocessable Entity
application/json
500
Internal Server Error
application/json
patch/api/functions
PATCH /api/functions HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 100
{
"functions": [
{
"args": [
{
"name": "arg1",
"type": "string"
}
],
"name": "function1",
"return_type": "string"
}
]
}{
"data": [
{
"args": [
{
"name": "arg1",
"type": "string"
}
],
"id": 1,
"name": "function1"
}
]
}Last updated